package com.persagy.proxy.adm.model;

import com.persagy.proxy.adm.annotations.CascadeColumn;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * ADM 建筑 实体
 * @author Charlie Yu
 * @date 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AdmBuilding extends AdmSBaseEntity<AdmBuilding>{
    public static final String OBJ_TYPE = "building";
    /** 名称 */
    private String name;
    /** 本地编码 */
    private String localId;
    /** 本地名称 */
    private String localName;
    /** 项目ID */
    private String projectId;
    /** 平台默认二维码 */
    private String defaultQRCode;
    /** 建筑二维码图片 */
    private String buildQRCode;
    /** 对象类型 */
    private String objectType = OBJ_TYPE;

    /** 级联-项目 */
    @CascadeColumn(graphCode = "ArchSubset", relCode = "Pj2Bd", selectToObj = false)
    private AdmProject project;
    /** 级联-楼层 */
    @CascadeColumn(graphCode = "ArchSubset", relCode = "Bd2Fl")
    private List<AdmFloor> floor;

    /** 建筑类型code */
    private String classCode;
}
