package com.persagy.proxy.adm.service.impl;

import com.persagy.dmp.basic.dto.RequestData;
import com.persagy.dmp.common.constant.CommonConstant;
import com.persagy.dmp.digital.client.DigitalRelationCaclFacade;
import com.persagy.proxy.adm.constant.AdmRelationTypeEnum;
import com.persagy.proxy.adm.service.AdmRelCalService;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
@RequiredArgsConstructor
public class AdmRelCalServiceImpl implements AdmRelCalService {

    /***
     * Description: 计算关系
     * @param context : 请求参数
     * @param admRelationTypeEnums : 关系类型集合
     * @param objectTypeStr : 参与计算的业务空间(为空表示所有业务空间类型)
     * @param relationTypeStr : 关系类型
     * return : void
     * @author : lijie
     * date :2021/9/11 20:35
     * Update By lijie 2021/9/11 20:35
     */
    @Override
    public void calcRelation(InstanceUrlParam context, List<AdmRelationTypeEnum> admRelationTypeEnums, String objectTypeStr,
                             String relationTypeStr) {
        for (AdmRelationTypeEnum admRelationTypeEnum : admRelationTypeEnums) {
            // 调用中台的计算逻辑
            DigitalRelationCaclFacade.calculatingObjRelationPrototype(context.getGroupCode(),context.getProjectId(),
                    context.getAppId(), CommonConstant.DEFAULT_ID, RequestData.builder()
                            .graphCode(admRelationTypeEnum.getGraphCode())
                            .relCode(admRelationTypeEnum.getRelCode())
                            .calBeforeRelFlag(true)
                            .build());
        }
    }
}
