package com.persagy.proxy.common.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 对象、关系请求url通用参数
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InstanceUrlParam implements Serializable {

    private static final long serialVersionUID = -994117732505752231L;

    /**
     * 集团编码
     */
    private String groupCode;

    /**
     * 方案id
     */
    private String schemeId;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 应用id
     */
    private String appId;
}
